import type { Reducer } from 'redux';
import type { DataService } from 'mongodb-data-service';
export declare type State = DataService | null;
export declare enum ActionTypes {
    SetDataService = "compass-saved-aggregations-queries/setDataService",
    ResetDataService = "compass-saved-aggregations-queries/resetDataService"
}
declare type SetDataServiceAction = {
    type: ActionTypes.SetDataService;
    dataService: DataService;
};
declare type ResetDataServiceAction = {
    type: ActionTypes.ResetDataService;
};
export declare type Actions = SetDataServiceAction | ResetDataServiceAction;
export declare function setDataService(dataService: DataService): SetDataServiceAction;
export declare function resetDataService(): ResetDataServiceAction;
declare const reducer: Reducer<State, Actions>;
export default reducer;
//# sourceMappingURL=data-service.d.ts.map