import React from 'react';
import type { Item } from '../stores/aggregations-queries-items';
export declare type Action = 'open' | 'delete' | 'copy' | 'rename';
export declare type SavedItemCardProps = Pick<Item, 'id' | 'type' | 'name' | 'database' | 'collection' | 'lastModified'> & {
    onAction(id: string, actionName: Action): void;
};
export declare const CARD_WIDTH: number;
export declare const CARD_HEIGHT = 218;
export declare const SavedItemCard: React.FunctionComponent<SavedItemCardProps & React.HTMLProps<HTMLDivElement>>;
//# sourceMappingURL=saved-item-card.d.ts.map