import type AppRegistry from 'hadron-app-registry';
import type { Store, AnyAction } from 'redux';
declare const _store: Store<import("redux").EmptyObject & {
    savedItems: import("./aggregations-queries-items").State;
    instance: import("./instance").State;
    dataService: import("./data-service").State;
    openItem: import("./open-item").State;
    editItem: import("./edit-item").State;
    appRegistry: import("./app-registry").State;
}, {
    type: import("./delete-item").ActionTypes;
    id: string;
} | import("./aggregations-queries-items").Actions | import("./edit-item").Actions | import("./instance").Actions | import("./data-service").Actions | import("./open-item").Actions | {
    type: import("./app-registry").ActionTypes;
    appRegistry: AppRegistry;
}> & {
    dispatch: unknown;
};
declare type StoreActions<T> = T extends Store<unknown, infer A> ? A : never;
declare type StoreState<T> = T extends Store<infer S, AnyAction> ? S : never;
export declare type RootActions = StoreActions<typeof _store>;
export declare type RootState = StoreState<typeof _store>;
declare const store: Store<import("redux").EmptyObject & {
    savedItems: import("./aggregations-queries-items").State;
    instance: import("./instance").State;
    dataService: import("./data-service").State;
    openItem: import("./open-item").State;
    editItem: import("./edit-item").State;
    appRegistry: import("./app-registry").State;
}, {
    type: import("./delete-item").ActionTypes;
    id: string;
} | import("./aggregations-queries-items").Actions | import("./edit-item").Actions | import("./instance").Actions | import("./data-service").Actions | import("./open-item").Actions | {
    type: import("./app-registry").ActionTypes;
    appRegistry: AppRegistry;
}> & {
    dispatch: unknown;
} & {
    onActivated(appRegistry: AppRegistry): void;
};
export default store;
//# sourceMappingURL=index.d.ts.map